Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2
Interface ProgressMonitor

All Known Implementing Classes:
  FluxLightModelTracer, FluxLightTracer, FluxPathTracer, FluxTracer, FluxWhittedTracer, SceneVisitor

    public interface ProgressMonitor

This interface is used by a `Renderer` to monitor the progress of rendering and to show messages.

Author:
  Ole Kniemeyer

Field Summary
`static float` | `DONE_PROGRESS` Value for `setProgress(java.lang.String, float)` indicating that the renderer has done its job.
`static float` | `INDETERMINATE_PROGRESS` Value for `setProgress(java.lang.String, float)` indicating that the current state of progress is indetermined.

Method Summary
`void` | `setProgress(java.lang.String text, float progress)` This method is invoked by the renderer to monitor its progress.
`void` | `showMessage(java.lang.String message)` This method is invoked by the renderer to show a message, e.g., the statistics after rendering has completed.

Field Detail

### DONE_PROGRESS

    static final float DONE_PROGRESS

  Value for `setProgress(java.lang.String, float)` indicating that the renderer has done its job.

  See Also:
    Constant Field Values

### INDETERMINATE_PROGRESS

    static final float INDETERMINATE_PROGRESS

  Value for `setProgress(java.lang.String, float)` indicating that the current state of progress is indetermined.

  See Also:
    Constant Field Values

Method Detail

### setProgress

    void setProgress(java.lang.String text,
                     float progress)

  This method is invoked by the renderer to monitor its progress.

  Parameters:
    `text` - short text to display
    `progress` - state of progress from 0 to 1, or one of the constants `INDETERMINATE_PROGRESS`, `DONE_PROGRESS`

### showMessage

    void showMessage(java.lang.String message)

  This method is invoked by the renderer to show a message, e.g., the statistics after rendering has completed.

  Parameters:
    `message` - message to display

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD